---
title: Screen.pixelDepth
slug: Web/API/Screen/pixelDepth
tags:
  - API
  - CSSOM View
  - NeedsMarkupWork
  - Property
  - Reference
---
<p>{{APIRef("CSSOM")}}</p>

<p>Returns the bit depth of the screen. Per the CSSOM, some implementations return <code>24</code> for compatibility reasons. See the {{anch("Browser compatibility", "browser compatibility")}} section for those that don't.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <var>depth</var> = window.screen.pixelDepth</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js;">// if there is not adequate bit depth
// choose a simpler color
if ( window.screen.pixelDepth &gt; 8 ) {
  document.style.color = "#FAEBD7";
} else {
  document.style.color = "#FFFFFF";
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSSOM View', '#dom-screen-pixeldepth', 'Screen.pixelDepth')}}</td>
   <td>{{Spec2('CSSOM View')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Screen.pixelDepth")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("Screen.colorDepth")}}</li>
</ul>
